#!/bin/sh

#set -e
#set -x

[ ! -d tinycc.git ] && {
    # lzm2dir tinycc.git.lzm
    echo "not a directory tinycc.git"
    exit 1
}
[ ! -d PATCHES-1 ] && {
    echo "not a directory PATCHES-1"
    exit 1
}
[ ! -d PATCHES-2 ] && {
    echo "not a directory PATCHES-2"
    exit 1
}

[ -z "$(which patch)" ] && {
    echo "a patch program not found"
    exit 1
}

cd PATCHES-1
LIST1=$(ls *.patch 2> /dev/null)
cd ..

cd PATCHES-2
LIST2=$(ls *.patch 2> /dev/null)
cd ..

cd tinycc.git
for i in $LIST1; do
    res=$(patch -p1 < ../PATCHES-1/$i 2>&1)
    if [ $? -ne 0 ]; then
	echo "$i -> failed"
	find . -name \*.rej -exec echo \{\} \;
	break
    else
	echo "$i -> Ok"
    fi
done
find . -name \*.orig -exec rm \{\} \;
cd ..

cd tinycc.git
for i in $LIST2; do
    res=$(patch -p1 < ../PATCHES-2/$i 2>&1)
    if [ $? -ne 0 ]; then
	echo "$i -> failed"
	find . -name \*.rej -exec echo \{\} \;
	break
    else
	echo "$i -> Ok"
    fi
done
find . -name \*.orig -exec rm \{\} \;
cd ..
